curl https://api.goshippo.com/parcels/ \
-H "Authorization: ShippoToken <API_TOKEN>"{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"mass_unit": "lb",
"weight": "1",
"distance_unit": "in",
"height": "1",
"length": "1",
"width": "1",
"extra": {
"COD": {
"amount": "5.5",
"currency": "USD",
"payment_method": "CASH"
},
"insurance": {
"amount": "5.5",
"content": "Laptop",
"currency": "USD",
"provider": "UPS"
},
"reference_1": "<string>",
"reference_2": "<string>"
},
"metadata": "Customer ID 123456",
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_state": "VALID",
"object_updated": "2014-07-09T02:19:13.174Z",
"template": "FedEx_Box_10kg",
"test": true
}
]
}Returns a list of all parcel objects.
curl https://api.goshippo.com/parcels/ \
-H "Authorization: ShippoToken <API_TOKEN>"{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"mass_unit": "lb",
"weight": "1",
"distance_unit": "in",
"height": "1",
"length": "1",
"width": "1",
"extra": {
"COD": {
"amount": "5.5",
"currency": "USD",
"payment_method": "CASH"
},
"insurance": {
"amount": "5.5",
"content": "Laptop",
"currency": "USD",
"provider": "UPS"
},
"reference_1": "<string>",
"reference_2": "<string>"
},
"metadata": "Customer ID 123456",
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_state": "VALID",
"object_updated": "2014-07-09T02:19:13.174Z",
"template": "FedEx_Box_10kg",
"test": true
}
]
}API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
The page number you want to select
The number of results to return per page (max 100)
x <= 100Was this page helpful?